REPOSYNC(1)

NUME
reposync - redirecționează către modulul reposync al DNF

Sincronizează pachetele dintr-un depozit DNF de la distanță cu cele dintr-un director local.

SINOPSIS

dnf reposync [opțiuni]

DESCRIERE

reposync face copii locale ale depozitelor de la distanță. Pachetele care sunt deja prezente în directorul local nu sunt descărcate din nou.

OPȚIUNI

Sunt acceptate toate opțiunile generale DNF. Mai exact, opțiunea --repoid poate fi utilizată pentru a specifica depozitele care trebuie sincronizate. Pentru detalii, consultați Opțiuni în dnf(8).

    -a <arhitectura>, --arch=<arhitectura>
        Descarcă numai pachetele din anumite arhitecturi (valoarea implicită este toate arhitecturile). Poate fi utilizată de mai multe ori.

    --delete
        Șterge pachetele locale care nu mai sunt prezente în depozit.

    --download-metadata
        Descarcă toate metadatele depozitului. Copia descărcată este utilizabilă instantaneu ca depozit, nu este nevoie să rulați createrepo_c pe ea. Atunci când opțiunea este utilizată cu -newest-only, vor fi descărcate doar cele mai recente pachete, dar metadatele vor conține în continuare pachete mai vechi. Ar putea fi utilă actualizarea metadatelor folosind createrepo_c --update pentru a elimina din metadate pachetele cu fișiere RPM lipsă. În caz contrar, DNF se încheie cu o eroare din cauza fișierelor lipsă ori de câte ori încearcă să descarce pachete mai vechi.

    -g, --gpgcheck
        Elimină pachetele care eșuează la verificarea semnăturii GPG după descărcare. Codul de ieșire este 1 dacă cel puțin un pachet a fost eliminat. Rețineți că pentru depozitele cu gpgcheck=0 definit în configurația lor, semnătura GPG nu este verificată chiar dacă se utilizează această opțiune.

    -m, --downloadcomps
        De asemenea, descarcă și decomprimă comps.xml. Luați în considerare utilizarea opțiunii --download-metadata, care va descărca toate metadatele de depozit disponibile.

    --metadata-path
        Ruta rădăcină în care sunt stocate metadatele descărcate. În cazul în care nu este specificată, valoarea implicită este --download-path.

    -n, --newest-only
        Descarcă doar cele mai noi pachete per-depozit.

    --norepopath
        Nu adaugă numele depozitului la ruta de descărcare. Poate fi utilizată numai la sincronizarea unui singur depozit (în mod implicit, se adaugă numele depozitului).

    -p <ruta-descărcării>, --download-path=<ruta-descărcării>
        Ruta rădăcină în care sunt stocate depozitele descărcate, în raport cu directorul de lucru curent. Valoarea implicită este directorul de lucru curent. Fiecare depozit descărcat are un subdirector denumit după ID-ul său în această rută.

    --safe-write-path
        Specifică prefixul rutei sistemului de fișiere sub care este permisă scrierea de către „reposync”. Dacă nu este specificat, se utilizează în mod implicit ruta de descărcare a depozitului. Util pentru depozitele care utilizează locații relative ale pachetelor în afara directorului depozitului (de exemplu, „../stocare_pachete/oarecare.rpm”). Utilizați cu prudență, orice fișier aflat sub safe-write-path poate fi suprascris. Poate fi utilizată numai la sincronizarea unui singur depozit.

    --remote-time
        Încearcă să ajusteze marcajele temporale ale fișierelor descărcate la cele din partea de la distanță.

    --source
        Descarcă doar pachetele sursă.

    -u, --urls
        Doar imprimă url-urile a ceea ce ar trebui să fie descărcat, nu descarcă.

EXEMPLE

    dnf reposync --repoid=depozitul
        Sincronizează toate pachetele din depozitul cu id-ul „depozitul”. Copia sincronizată este salvată în subdirectorul „depozitul” din directorul de lucru curent.

    dnf reposync -p /ruta/depozitelor/mele --repoid=depozitul
        Sincronizează toate pachetele din depozitul cu id-ul „depozitul”. În acest caz, fișierele sunt salvate în directorul „/ruta/depozitelor/mele/depozitul”.

    dnf reposync --repoid=depozitul --download-metadata
        Sincronizează toate pachetele și metadatele din depozitul „depozitul”.

Depozitul sincronizat cu opțiunea --download-metadata poate fi utilizat direct în DNF, de exemplu, prin utilizarea opțiunii --repofrompath:

dnf --repofrompath=syncedrepo,depozitul --repoid=lista-syncedrepo --available

CONSULTAȚI ȘI

    •   dnf(8), Referință pentru comanda DNF

AUTOR
Consultați AUTORI în distribuția dumneavoastră Core DNF Plugins

DREPTURI DE AUTOR
2014, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.